﻿@model WebAppLibrary.Models.DAO.Loan

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Loan</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="LoanDate" class="control-label"></label>
                <input asp-for="LoanDate" class="form-control" type="date" />
                <span asp-validation-for="LoanDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ReturnDate" class="control-label"></label>
                <input asp-for="ReturnDate" class="form-control" type="date" />
                <span asp-validation-for="ReturnDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label class="form-label" asp-for="User"></label>
                <select class="form-select" asp-for="User.Id" asp-items="ViewBag.UsersList"></select>
                <span asp-validation-for="User.Id" class="text-danger"></span>
            </div>

            <div class="form-group">
                 <label class="form-label" asp-for="Book"></label>
                 <select class="form-select" asp-for="Book.Id" asp-items="ViewBag.BooksList"></select>
                 <span class="text-danger" asp-validation-for="Book.Id"></span>
            </div>


            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
